io.vertx.kafka.admin

## Class ListConsumerGroupOffsetsOptions

- java.lang.Object
- - io.vertx.kafka.admin.ListConsumerGroupOffsetsOptions

-     public class ListConsumerGroupOffsetsOptions
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListConsumerGroupOffsetsOptions()` Constructor
    `ListConsumerGroupOffsetsOptions(JsonObject json)` Constructor (from JSON representation)

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonObject` | `toJson()` Convert object to JSON representation
    `List<TopicPartition>` | `topicPartitions()` Returns a list of topic partitions to add as part of the result.
    `ListConsumerGroupOffsetsOptions` | `topicPartitions(List<TopicPartition> topicPartitions)` Set the topic partitions to list as part of the result.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ListConsumerGroupOffsetsOptions

          public ListConsumerGroupOffsetsOptions()

      Constructor

    - #### ListConsumerGroupOffsetsOptions

          public ListConsumerGroupOffsetsOptions(JsonObject json)

      Constructor (from JSON representation)
      Parameters:
        `json` - JSON representation

  - ### Method Detail

    - #### topicPartitions

          public ListConsumerGroupOffsetsOptions topicPartitions(List<TopicPartition> topicPartitions)

      Set the topic partitions to list as part of the result. `null` includes all topic partitions.
      Parameters:
        `topicPartitions` - List of topic partitions to include
      Returns:
        This ListGroupOffsetsOptions

    - #### topicPartitions

          public List<TopicPartition> topicPartitions()

      Returns a list of topic partitions to add as part of the result.

    - #### toJson

          public JsonObject toJson()

      Convert object to JSON representation
      Returns:
        JSON representation

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2020 Eclipse. All rights reserved.